// Copyright 2009 the Sputnik authors.  All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/**
 * @name: S15.4.4_A1.1_T1;
 * @section: 15.4.4, 15.2.4.5;
 * @assertion: The value of the internal [[Prototype]] property of 
 * the Array prototype object is the Object prototype object;
 * @description: Create new property of Function.prototype. When Array.prototype object has this property; 
*/


// Converted for Test262 from original Sputnik source

ES5Harness.registerTest( {
id: "S15.4.4_A1.1_T1",

path: "TestCases/15_Native/15.4_Array_Objects/15.4.4_Properties_of_the_Array_Prototype_Object/S15.4.4_A1.1_T1.js",

assertion: "The value of the internal [[Prototype]] property of",

description: "Create new property of Function.prototype. When Array.prototype object has this property",

test: function testcase() {
   Object.prototype.myproperty = 1;

//CHECK#1
if (Array.prototype.myproperty !== 1) {
  $ERROR('#1: Object.prototype.myproperty = 1; Array.prototype.myproperty === 1. Actual: ' + (Array.prototype.myproperty));
}

//CHECK#2
if (Array.prototype.hasOwnProperty('myproperty') !== false) {
  $ERROR('#2: Object.prototype.myproperty = 1; Array.prototype.hasOwnProperty(\'myproperty\') === false. Actual: ' + (Array.prototype.hasOwnProperty('myproperty')));
}

 }
});

