// Copyright 2009 the Sputnik authors.  All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/**
* @name: S15.5.4.13_A1_T15;
* @section: 15.5.4.13;
* @assertion: String.prototype.slice (start, end);
* @description: Call slice without arguments. Instance is Number with prototype.slice = String.prototype.slice;
*/


// Converted for Test262 from original Sputnik source

ES5Harness.registerTest( {
id: "S15.5.4.13_A1_T15",

path: "TestCases/15_Native/15.5_String_Objects/15.5.4_Properties_of_the_String_Prototype_Object/15.5.4.13_String.prototype.slice/S15.5.4.13_A1_T15.js",

assertion: "String.prototype.slice (start, end)",

description: "Call slice without arguments. Instance is Number with prototype.slice = String.prototype.slice",

test: function testcase() {
   var __num = 11.001002;

Number.prototype.slice = String.prototype.slice;


//////////////////////////////////////////////////////////////////////////////
//CHECK#1
if (__num.slice()!=="11.001002") {
  $ERROR('#1: var __num = 11.001002; Number.prototype.slice = String.prototype.slice; __num.slice()==="11.001002". Actual: '+__num.slice());
}
//
//////////////////////////////////////////////////////////////////////////////

 }
});

